1. Docs
  2. API Reference
  3. Delete a saved audit-log view

Delete a saved audit-log view

DELETE/portal/v1/me/audit-views/{surface}/{name}

Authentication

  • Bearer Token Authorization

    JWT access token

Path Parameters

Name Required Type Description
surfaceRequiredstring
nameRequiredstring

Code samples

cURLJavaScriptPythonGo
curl -X DELETE "https://api.canopy.dev/portal/v1/me/audit-views/value/value" \
  -H "Authorization: Bearer $CANOPY_TOKEN"

Responses

204 Idempotent — removing a name that doesn't exist returns 204 with no error.
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)
On this page

Related endpoints

GETList saved audit-log views for the current admin
POSTCreate or replace a saved audit-log view